@import 'settings';
@import 'mixins';
@import 'materialicons';

.inline-group {
    fieldset.module.sortable {
        display: block;
        position: relative;
        height: 100%;

        &--isSorting {
            // Put layer on top of ckeditor to fix autoscrolling
            .django-ckeditor-widget {
                position: relative;

                &::after {
                    content: '';
                    width: 100%;
                    height: 100%;
                    position: absolute;
                    top: 0;
                    left: 0;
                }
            }
        }

        .inline-related {
            position: relative;

            .module {
                height: 100%;
            }
        }


        h3 {
            position: relative;
            display: flex;
            align-items: center;
            padding-left: 40px;

            .sortable-drag-handle {
                position: absolute;
                top: 0;
                left: 0;
                height: 100%;
                width: calc(100% - 100px);
                line-height: 37px;
                cursor: move;

                &::before {
                    @include material-icons;
                    content: 'swap_vert';
                    vertical-align: middle;
                    margin-left: 8px;
                }
            }

            .inline_label {
                flex: 2 0 auto;
                overflow: hidden;
            }

            > b {
                display: none;
            }

            .delete {
                white-space: nowrap;
                padding-left: 20px;
            }
        }

        .sortable-ghost {
            background: var(--color-yellow);

            * {
                opacity: 0;
            }
        }

        @media (min-width: $tablet-width) {
            &.sortable-inline-block {
                .inline-related.has_original {
                    display: inline-block;
                    vertical-align: top;
                    width: calc(50% - 25px);
                    overflow: hidden;

                    &:nth-child(even) {
                        margin-right: 20px;
                    }
                }
            }
        }

        @media (min-width: 1580px) {
            &.sortable-inline-block {
                .inline-related.has_original {
                    width: calc(33% - 25px);
                    margin-right: 0;

                    &:nth-child(3n),
                    &:nth-child(3n + 1) {
                        margin-right: 20px;
                    }
                }
            }
        }
    }
}
